## NMVpnConnection NMVpnConnection |

## Functions

NMVpnConnectionState | nm_vpn_connection_get_vpn_state ()
const char * | nm_vpn_connection_get_banner ()

## Types and Values

#define | NM_VPN_CONNECTION_VPN_STATE
#define | NM_VPN_CONNECTION_BANNER

## Description

## Functions

### nm_vpn_connection_get_vpn_state ()

    NMVpnConnectionState
    nm_vpn_connection_get_vpn_state (NMVpnConnection *vpn);

Gets the current NMVpnConnection state.

#### Parameters

vpn | a NMVpnConnection |

#### Returns

the VPN state of the active VPN connection.

### nm_vpn_connection_get_banner ()

    const char *
    nm_vpn_connection_get_banner (NMVpnConnection *vpn);

Gets the VPN login banner of the active NMVpnConnection.

#### Parameters

vpn | a NMVpnConnection |

#### Returns

the VPN login banner of the VPN connection. This is the internal string used by the connection, and must not be modified.

## Types and Values

### NM_VPN_CONNECTION_VPN_STATE

    #define NM_VPN_CONNECTION_VPN_STATE "vpn-state"

### NM_VPN_CONNECTION_BANNER

    #define NM_VPN_CONNECTION_BANNER    "banner"